using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data.SqlTypes;
using System.IO;
using System.Linq;
using System.Net;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Schema;

namespace zadatak
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] input = Console.ReadLine().Split();
            int n = int.Parse(input[0]);
            int L = int.Parse(input[1]);
            input = Console.ReadLine().Split();
            int[] H = new int[n];
            for (int i = 0; i < n; i++)
            {
                H[i] = int.Parse(input[i]);
                if (H[i] <= L)
                {
                    Console.WriteLine(i + 1);
                    return;
                }
            }
            Console.WriteLine(-1);
            return;
        }
    }
}